import _ from 'lodash';

import ShortViewText from '@/components/ShortViewText';
import { LL } from '@/lang/LL';

import { TableItemProps } from '../TableItem';

const GeoPointItem = (props: TableItemProps) => {

    const value = props.value;

    if (!value) return <div style={{
        opacity: 0.2,
    }}><LL value={props.structure?.title} /></div>;




    return <ShortViewText type="middle" text={value.address ?? value.name} maxLength={30} />

    return <div className='truncate-2-lines'>{value.address}</div>


}

export default GeoPointItem;